## Node ##
NODE_ENV=local

## App ##
APP_VERSION=local
APP_BASE_URL=http://localhost:8085
BIN_DIR=./bin/
LOG_LEVEL='debug'
# Cache setting for Nunjucks templates
NO_CACHE_VIEW_TEMPLATES=false
PORT=8085
OUTBOUND_API_TIMEOUT=30000
CONTEXT_PATH=/telesales-buy-hrt-ppc
USE_REDIS=true
CONTACT_TELEPHONE=0300 330 1341
CONTACT_EMAIL=nhsbsa.hrtppc-support@nhs.net
PRESCRIPTION_VALUE=965
SEARCH_PAST_EXEMPTIONS_PERIOD=24
SEARCH_RESULTS_PAGE_SIZE=10
LOG_REQUESTS_AND_RESPONSES=true

## Datadog ##
# DATADOG_APM_ENABLED=false

## Session ##
SESSION_SECRET=my-local-session-secret
# Set to true for accessing session cookies during testing
USE_UNSECURE_COOKIE=true

SEARCH_API_URI=http://localhost:8400
SEARCH_API_KEY=REPLACE_ME

PAYMENT_API_URI=http://localhost:8110
PAYMENT_API_KEY=REPLACE_ME

CERTIFICATE_API_URI=http://localhost:8090
CERTIFICATE_API_KEY=REPLACE_ME

CITIZEN_API_URI=http://localhost:8100
CITIZEN_API_KEY=REPLACE_ME

NOTES_API_URI=http://localhost:8140
NOTES_API_KEY=REPLACE_ME

PRODUCT_API_URI=http://localhost:8120
PRODUCT_API_KEY=REPLACE_ME
PRODUCT_API_CRON_FREQUENCY="*/5 * * * *"

REISSUE_API_URI=http://localhost:8401
REISSUE_API_KEY=REPLACE_ME

ISSUE_CERTIFICATE_API_URI=http://localhost:8500
ISSUE_CERTIFICATE_API_KEY=REPLACE_ME

CARD_PAYMENTS_API_URI=http://localhost:8302/card-payments-services
CARD_PAYMENTS_SERVICE_NAME=hrttelephony
CARD_PAYMENTS_USE_MOCK=true

PREFERENCE_API_URI=http://localhost:8150
PREFERENCE_API_KEY=REPLACE_ME

COMPOSITION_API_URI=http://localhost:8180
COMPOSITION_API_KEY=REPLACE_ME

## Analytics ##
GA_TRACKING_ID=G-WDL00001T
GOOGLE_ANALYTICS_URI=http://localhost:8150/collect

## Azure AD##
USE_AUTHENTICATION=false
CLOUD_INSTANCE=REPLACE_ME # cloud instance string should end with a trailing slash
TENANT_ID=REPLACE_ME
CLIENT_ID=REPLACE_ME
CLIENT_SECRET=REPLACE_ME
REDIRECT_URI="http://localhost:8085/telesales-buy-hrt-ppc/auth/redirect"
POST_LOGOUT_REDIRECT_URI="http://localhost:8085/telesales-buy-hrt-ppc/auth/signout"

## CSRF ##
CSRF_SECRET=my-local-csrf-secret
